Subject: Re: [PATCH 2/2] git-gc: skip stashes when expiring reflogs

From: Olivier Marin <[email-masked]>
Date: Fri, 13 Jun 2008 21:49:37 +0200

Junio C Hamano a écrit :
> 
> To stash is like putting something in /tmp on a system that runs a cron
> job to clean out cruft from there once in a while.  Another analogy is to
> spitting an information out to syslog, so that it is kept until logs are
> rotated.

Are you sure about the "temporary" thing? I'm not a native speaker but all
the dictionary I tried, define stash as:

  "to put or hide away (money, valuables, etc.) in a secret or safe place,
   as for future use."

Are they all wrong?

> I however mildly suspect that the stash configured as such would end up to
> be a lot worse than the current behaviour in practice.  It would make
> crufts easily accumulate in the stash, making it harder to find gems, [...]

Why not encouraging the usage of "pop" then?

Olivier.